import es
import gamethread
import popuplib
import playerlib
import stamm
from cmsg.cmsg import cmsg, ctell
from spe.games import cstrike


info = es.AddonInfo()
info.name = "Santas Stamm Platin Plugin"
info.version = "0.1"
info.versionzusatz = "Beta"
info.author = "Santa"
info.url = "http://www.pup-board.de/"
info.basename = "santaspublicpremium"
info.description = "Premium Mod fuer den Stamm Mod"
info.copyright = "2010 - 2120"
info.user = "Test Version"

benutzt = {}
benutzt1 = {}

def load():
	es.set("%s" % info.basename,info.version)
	es.makepublic("%s" % info.basename)
	
	respawnpopup = popuplib.create('respawn')
	respawnpopup.addline ('Moechtest du Wiederbelebt werden?')
	respawnpopup.addline ('----------')
	respawnpopup.addline ('->1. Ja, moechte ich!')
	respawnpopup.addline ('->2. Nein, moechte ich nicht!')
	respawnpopup.addline ('----------')
	respawnpopup.menuselect = respawn
	
def player_team(ev):
	spieler = stamm.getPlayer(ev['userid'])
	team = int(es.getplayerteam(ev['userid']))
	name = ev['es_username']
	if spieler.isPlatinum():
		if team == 2:
			cmsg('#green[ #lightgreenStammPlatinumPlugin #green] #red%s #defaultist dem #redTerror-Team #defaultbeigetreten.' % name)
		if team == 3:
			cmsg('#green[ #lightgreenStammPlatinumPlugin #green] #blue%s #defaultist dem #blueAntiTerror-Team #defaultbeigetreten.' % name)
	
def player_spawn(ev):
	spieler = stamm.getPlayer(ev['userid'])
	player = playerlib.getPlayer(ev['userid'])
	team = int(es.getplayerteam(ev['userid']))
	name = ev['es_username']
	if spieler.isPlatinum():
		steamid3 = ev['es_steamid']
		player.health + 10
		player.speed + 0.2
		if not benutzt.has_key(steamid3):
			benutzt[steamid3] = {}
			benutzt[steamid3]["used"] = 0
		if benutzt[steamid3]["used"] == 0:
			benutzt[steamid3]["used"] = 1
			if int(player.getHE()) == 0:
				gamethread.delayed(1, es.server.queuecmd,('es_give %s weapon_hegrenade' % ev['userid']))
			if not int(player.getArmor()):
				gamethread.delayed(1, player.set('armor', 100))
			if team == 2:
				if not player.getPrimary():
					gamethread.delayed(1, es.server.queuecmd,('es_give %s weapon_ak47' % ev['userid']))
					gamethread.delayed(1, player.set, ('clip', ['primary', '500']))
				ctell(ev['userid'], '#multi', '#green[ #lightgreenSPP #green] #defaultDir wurden eine #lightgreenAK47, HE, Full Armor #defaultund #lightgreen10 HP #defaultgegeben.')
			if team == 3:
				if not player.getPrimary():
					gamethread.delayed(1, es.server.queuecmd,('es_give %s weapon_m4a1' % ev['userid']))
					gamethread.delayed(1, player.set, ('clip', ['primary', '500']))
				ctell(ev['userid'], '#multi', '#green[ #lightgreenSPP #green] #defaultDir wurden eine #lightgreenM4A1, HE, Full Armor #defaultund #lightgreen10 HP #defaultgegeben.')
				
def player_hurt(ev):
	spieler = stamm.getPlayer(ev['userid'])
	player = playerlib.getPlayer(ev['userid'])
	if spieler.isPlatinum():
		hp = int(ev['dmg_health']) * int(5) / 100
		player.health += hp
			
def player_death(ev):
	spieler = stamm.getPlayer(ev['attacker'])
	if spieler.isPlatinum():
		player = playerlib.getPlayer(ev['attacker'])
		player.health += 5
		
		steamid4 = ev['es_steamid']
		if not benutzt1.has_key(steamid4):
			benutzt1[steamid4] = {}
			benutzt1[steamid4]["used"] = 0
		if benutzt1[steamid4]["used"] == 0:
			benutzt1[steamid4]["used"] = 1
			popuplib.send('respawn', ev['userid'])
		
def respawn(userid, choice, popupid):
	if choice == 1:
		gamethread.delayed(1, premiumrespawn, (userid))
		
def premiumrespawn(userid):
	cstrike.respawn(userid)
		